View Issue Details

IDProjectCategoryView StatusLast Update
0003095PartDesignBugpublic2018-01-03 23:20
ReporterchrisbAssigned To 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version0.17 
Target Version0.17Fixed in Version0.17 
Summary0003095: Manual migration from 0.16 models to 0.17 models not possible
DescriptionCreating a body with a 0.16 legacy file always throws a dialog offering to migrate. I want to migrate manually, create an empty body then move the features myself - and I can't, it's not allowing me to. The only choice that results in anything is the "Migrate automatically" button.
Forum discussions:
https://forum.freecadweb.org/viewtopic.php?f=3&t=22987&start=10#p178469 and https://forum.freecadweb.org/viewtopic.php?f=3&t=23054
Steps To Reproduce
  1. Create a file in 0.16 that uses PartDesign features.
  2. open it in 0.17
  3. Open Part Design Workbench
  4. Click "Add body"
  5. Click "Migrate manually"
Additional InformationVersion used:
OS: Ubuntu 14.04.5 LTS
Word size of OS: 64-bit
Word size of FreeCAD: 64-bit
Version: 0.17.11422 (Git)
Build type: None
Branch: master
Hash: a4e0d79e6581ce96b376cbd93e37a811f5dd8df2
Python version: 2.7.6
Qt version: 4.8.6
Coin version: 4.0.0a
OCC version: 7.1.0
Tagsmigration

Relationships

related to 0002507 closedickby PartDesign Migration of 0.16 files fail 
related to 0002087 new Assembly The Part Design migration needs to be tested and updated to new structure 

Activities

wmayer

2018-01-03 23:20

administrator   ~0010694

https://github.com/FreeCAD/FreeCAD/commit/22b117fd832a4e118b0747b65311f8eb13aadab6 fixes the reported bug

https://github.com/FreeCAD/FreeCAD/commit/d24379d8226833fb873ced5b2fd081dbfd46dbe9
when using context menu in tree view for an old style PD project then show the Migrate function in the menu instead of popping up the dialog as this becomes quite annoying and disturbs the workflow

https://github.com/FreeCAD/FreeCAD/commit/ac88edc3dc97e679bfbe954e1a32768827f5ecc2
It's now possible to directly use drag and drop to move PD features of an old style PD project into a body which is by far faster than using the Move command of the context menu

Issue History

Date Modified Username Field Change
2017-06-22 16:03 chrisb New Issue
2017-06-22 16:08 Kunda1 Relationship added related to 0002507
2017-06-22 16:09 Kunda1 Relationship added related to 0002087
2017-06-22 16:10 Kunda1 Tag Attached: migration
2017-09-25 06:09 wmayer Target Version => 0.17
2018-01-03 23:20 wmayer Status new => closed
2018-01-03 23:20 wmayer Resolution open => fixed
2018-01-03 23:20 wmayer Fixed in Version => 0.17
2018-01-03 23:20 wmayer Note Added: 0010694